ServerinfoTask (Apache Tomcat 9.0.111 API Documentation)
Description: declaration: package: org.apache.catalina.ant, class: ServerinfoTask

# Class ServerinfoTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.catalina.ant.BaseRedirectorHelperTask
org.apache.catalina.ant.AbstractCatalinaTask
org.apache.catalina.ant.ServerinfoTask

All Implemented Interfaces:
  `Cloneable`

public class ServerinfoTask extends AbstractCatalinaTask
Ant task that implements the `/serverinfo` command supported by the Tomcat manager application.

- ## Field Summary

  ### Fields inherited from class AbstractCatalinaTask

  `charset, ignoreResponseConstraint, password, url, username`

  ### Fields inherited from class BaseRedirectorHelperTask

  `alwaysLog, failOnError, redirectErrStream, redirector, redirectorConfigured, redirectorElement, redirectOutput, redirectOutStream`

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServerinfoTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `execute()`
  Execute the requested operation.

  ### Methods inherited from class AbstractCatalinaTask

  `execute, execute, getCharset, getPassword, getUrl, getUsername, isIgnoreResponseConstraint, setCharset, setIgnoreResponseConstraint, setPassword, setUrl, setUsername`

  ### Methods inherited from class BaseRedirectorHelperTask

  `addConfiguredRedirector, closeRedirector, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, handleOutput, isFailOnError, openRedirector, setAlwaysLog, setAppend, setCreateEmptyFiles, setError, setErrorProperty, setFailonerror, setLogError, setOutput, setOutputproperty`

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleInput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

  ### Methods inherited from class Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ServerinfoTask

    public ServerinfoTask()

- ## Method Details

  - ### execute

    public void execute() throws org.apache.tools.ant.BuildException
    Execute the requested operation.
    Overrides:
      `execute` in class `AbstractCatalinaTask`
    Throws:
      `org.apache.tools.ant.BuildException` - if an error occurs